%define	name	tkxinput
%define	version	1.0

Summary:	A Tk extension to handle additional input devices in X11
Name:		%{name}
Version:	%{version}
Release:	%mkrel 11
Source0:	%{name}-%{version}.tar.bz2
Patch0:		tkxinput-1.0.tk8.3.patch
Patch1:		tkxinput-1.0.wacom.patch
License:	GPL
Group:		System/X11
Url:		http://freshmeat.net/redir/tkxinput/22191/url_homepage/tkxinput/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libx11-devel libxi-devel tk tk-devel tcl tcl-devel

%description
The package provides an extension to Tk that add input device
management capabilities. It is possible to bind extended input
events to tcl scripts, to get information about the devices, to
change devices parameters and to change the default pointer and
keyborad devices. It is also possible to send input events from
one application to an other one.

%prep
%setup -q
%patch0 -p1 -b .tk8
%patch1 -p1 -b .wacom

%build
%make CFLAGS="$RPM_OPT_FLAGS -fPIC" TCL_LIB=tcl8.5 TK_LIB=tk8.5 X11_LIB_PATH=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/TkXInput $RPM_BUILD_ROOT%{_bindir}
make install prefix=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README*
%{_prefix}/lib/TkXInput
%{_bindir}/*


%changelog
* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0-11mdv2008.1
+ Revision: 179655
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 1.0-10mdv2008.0
+ Revision: 82051
- rebuild for new soname of tcl

* Fri Jun 15 2007 Adam Williamson <awilliamson@mandriva.com> 1.0-9mdv2008.0
+ Revision: 40202
- refine and update buildrequires; rebuild for new era
- Import tkxinput



* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0-8mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Tue May 03 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-7mdk
- compile with -fPIC (fixes build on x86_64)
- lib64 path fix
- fix non-standard-group

* Fri May 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.0-6mdk
- fix buildrequires
- added url
- cleanups

* Fri May  2 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.0-5mdk
- rebuilt for new rpm

* Sat Jan 22 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0-4mdk
- BuildRequires
- Copyright --> License

* Sun Jun 17 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0-3mdk
- BuildRequires: XFree86-devel

* Fri Apr 13 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.0-2mdk
- activated wacom support

* Tue Mar  6 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.0-1mdk
- first version

# tkxinput.spec ends here
